## swig2.0 2.0.0

=== debian/changelog ===
swig2.0 (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #584324).
  * Create a new swig2.0 package for unstable. Most packages should be
    able to build with 2.0 instead of 1.3 but the version detection
    in most configure scripts is flawed.
  * Fix the most important lintian complaints:
    + debian/control:
      o Update Standards-Version to 3.9.0 (no changes).
      o Add ${misc:Depends} to all binary dependencies.
    + debian/rules:
      o Fix invocation order for dh_makeshlibs.
      o Replace "dh_clean -k" with dh_prep.
    + debian/swig2.0-doc.doc-base: Fixed references into wrong package.
    + debian/swig.1: Renamed to swig2.0-1 to match with the binary.
  * Use dh-autoreconf for cleaning up after autotools.
  * Fixed "make distclean" in upstream Makefile.in. The first time for
    years that "debian/rules clean" actually completes successfully.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes).
  * debian/copyright: Update for upstream license change to GPLv3.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 28 Aug 2010 22:59:01 +0200

swig1.3 (2.0.0~r12020-1) experimental; urgency=low

  * Experimental package of upcoming 2.0 release targetting experimental.
  * Switch to source format 3.0 (quilt).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 12 May 2010 18:57:28 +0200

swig1.3 (1.3.40-3) unstable; urgency=low

  * debian/control: Line wrap build dependencies (closes: #556356).
    Thanks to Benjamin Drung.
  * debian/control: Remove version from python-dev dependency (not sure why
    it was added). This makes it buildable in sid again (closes: #588573).
  * debian/compat: Bump to 7 (which was available even in lenny).
  * debian/source/format: Switch to "3.0 (quilt)".

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Nov 2009 23:57:17 +0100

swig1.3 (1.3.40-2) unstable; urgency=low

  * Retarget for unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 21 Oct 2009 20:03:54 +0200

swig1.3 (1.3.40-1) experimental; urgency=low

  * New upstream release (closes: #543684).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 17 Oct 2009 14:48:41 +0200

swig1.3 (1.3.39-2) unstable; urgency=low

  * Merge upstream changeset 11213, fixing the Subversion bindings.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 08 Aug 2009 15:00:32 +0200

swig1.3 (1.3.39-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove ocaml from Build-Depends (not available in sid
    right now). Probably we can drop most of the build depends anyway, they
    do not affect the swig binary AFAIK. However, when running the test
    suite, we should better have them available...
  * debian/rules: Use DH_ALWAYS_EXCLUDE=.svn to support building directly
    from Subversion checkout.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 07 Aug 2009 00:22:56 +0200

swig1.3 (1.3.38-1) experimental; urgency=low

  * Apply patch by Petr Salinger to enable java bindings for GNU/kFreeBSD
    (closes: #497789).
  * New upstream release (closes: #514060).
  * Remove patch to config.guess, config.sub (upstream is up-to-date).
  * Update patch to keep documentation files in make clean.
  * Use python2.5 instead of python2.4.
  * Install Examples/php instead of Examples/php4 (which is no longer).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Feb 2009 16:16:07 +0100

swig1.3 (1.3.36-1) unstable; urgency=low

  * New upstream release (closes: #488342).
    + debian/patches: Remove obsolete patches.
  * debian/rules: Build without mzscheme for now as the configure script 
    breaks as it can't mute the banner anymore (--mute-banner does not 
    work anymore).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 06 Jul 2008 03:07:56 +0200

swig1.3 (1.3.35-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #476718, #477906). Thanks, guys!
  * Apply patch from Barry deFreese to Wad proof-of-concept that is 
    not actually built (closes: #469006).
  * debian/control: Update Build-Depends on guile to version 1.8 as 
    1.6 is quite outdated already (closes: #477521).
  * debian/control: Re-add armel and armeb to the target platforms
    which have gcj and gij again (closes: #479113).
  * debian/patches/swig-svn-r10376.diff: Import upstream changes of 
    revision 10376 by request of Soeren Sonnenburg.
  * Lintian fixes:
    + debian/swig-doc.doc-base: Fix section (was Apps/Programming, now
      just Programming). Remove leading whitespace in abstract.
    + debian/control: Upgrade Standards-Version to 3.7.3 (no changes
      required).
    + debian/control: Fix spelling Ocaml -> OCaml.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 04 May 2008 21:09:47 +0200

swig1.3 (1.3.35-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Depends: gij, gcj on alpha, arm, and hurd-i386.
    (Closes: #477906)

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Apr 2008 18:08:59 +0200

swig1.3 (1.3.35-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow python2.5 in Build-Depends. (Closes: #476718)

 -- Torsten Werner <twerner@debian.org>  Wed, 23 Apr 2008 19:49:22 +0200

swig1.3 (1.3.35-3) unstable; urgency=low

  * debian/patches/octave_fixes_r10367_10373.diff: Include upstream 
    changes between revisions 10367 and 10373. This fixes some bugs
    in the octave wrappers as requested by Soeren Sonnenburg.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 17 Apr 2008 08:49:55 +0200

swig1.3 (1.3.35-2) unstable; urgency=low

  * Include examples for R and octave (closes: #475409).
  * Patch Lib/r/rfragments.swg to use mkCharLen to create a string 
    object given the character content and the length. mkCharEnc 
    does not look like it is the right function for this. :)
    Thanks to Soeren Sonnenburg. (closes: #475494).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 15 Apr 2008 23:56:33 +0200

swig1.3 (1.3.35-1) unstable; urgency=low

  * New upstream release (closes: #473720).

