=== debian/control ===
Source: swig2.0
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.1
Build-Depends: bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               gcj [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               gij [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               guile-1.8-dev,
               libchicken-dev [!m68k !mips !mipsel],
               libperl-dev,
               libpcre3-dev [!m68k !mips !mipsel],
               php5-cgi,
               php5-dev,
               python-dev,
               quilt (>= 0.40),
               ruby1.8,
               ruby1.8-dev,
               tcl8.4-dev,
               tk8.4-dev

Package: swig2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: swig2.0-examples, swig2.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig2.0-examples
Architecture: all
Depends: swig2.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig2.0-doc
Architecture: all
Section: doc
Suggests: swig2.0
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 This is just a convenience package to make smooth upgrades possible.
 The real stuff is in the swig-doc package.
