## swig2.0 2.0.1

=== debian/changelog ===
swig2.0 (2.0.1-2) unstable; urgency=low

  * debian/control: Fix build dependency on pcre3 which should be available on
    mips, mipsel and m68k as well.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 23 Dec 2010 00:06:42 +0100

swig2.0 (2.0.1-1) unstable; urgency=low

  * Merge new upstream release 2.0.1.
  * Remove dependency on quilt and usage in debian/rules, the new source
    format will take care of that.
  * Remove patch fix-cleaning.diff (applied upstream).
  * Remove patch keep_docs.diff (applied upstream).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Dec 2010 18:25:59 +0100
