=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
+Homepage: http://www.swig.org/
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
@@ -11,11 +14,10 @@
                guile-1.8-dev,
                libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
-               libpcre3-dev [!m68k !mips !mipsel],
+               libpcre3-dev,
                php5-cgi,
                php5-dev,
                python-dev,
-               quilt (>= 0.40),
                ruby1.8,
                ruby1.8-dev,
                tcl8.4-dev,
