## swig2.0 2.0.3

=== debian/changelog ===
swig2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Add debian/watch file for uscan (closes: #611879).
  * Provide /usr/bin/swig in swig2.0 (closes: #620954).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 10 Apr 2011 20:42:11 +0200

swig2.0 (2.0.2-1) unstable; urgency=low

  * New upstream release 2.0.2.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 26 Feb 2011 00:56:56 +0100
