## swig2.0 2.0.4

=== debian/changelog ===
swig2.0 (2.0.4-5) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' (closes: #657091).
    Patch provided by Lior Kaplan.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 Jan 2012 18:58:13 +0100

swig2.0 (2.0.4-4) unstable; urgency=low

  * Acknowledge NMU, thanks again Luca (and Jonathan for the patch).
  * Merge revision 12814 from upstream (closes: #642202).
  * Merge revision 12780 from upstream (closes: #468414). 

 -- Torsten Landschoff <torsten@debian.org>  Tue, 20 Sep 2011 22:45:05 +0200

swig2.0 (2.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Jonathan Nieder ]
  * Put swig2.0(1) manpage in the swig2.0 package, instead of whatever
    architecture-dependent package happened to be processed first.
  * swig2.0 Breaks and Replaces swig (<< 2.0.4-3.1) (Closes: #639521).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:32:41 +0200

swig2.0 (2.0.4-3) unstable; urgency=low

  * Acknowledge changes by Luca Falavigna - thanks.
  * Applied the patch by Chris Butler to fix wrapper generation on i386 for
    perl compiled with -Duse64bitint (closes: #579450).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 19 Aug 2011 23:37:01 +0200

swig2.0 (2.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/patches/python_map.patch:
    - Let std::map honour all four template arguments to fix FTBFS in
      related packages (Closes: #633736).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 17:27:18 +0200

swig2.0 (2.0.4-2) unstable; urgency=low

  * Take over swig, swig-doc and swig-examples binary packages from swig1.3.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Jun 2011 01:14:53 +0200

swig2.0 (2.0.4-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Replace obsolete gij/gcj build dependencies with gcj-jdk. Closes: #628377.

 -- Matthias Klose <doko@debian.org>  Tue, 31 May 2011 13:22:19 +0200

swig2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * patches/upstream_r12653.diff: Removed (included upstream).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 May 2011 08:52:30 +0200

swig2.0 (2.0.3-2) unstable; urgency=low

  * Package a snapshot of the upcoming upstream release 2.0.4. This matches
    upstream revision r12653.
    + Fixes building of Python 3.2 bindings (closes: #622980).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 03 May 2011 22:34:43 +0200
