=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
-               gcj [!hppa !mips !mipsel !alpha !arm !hurd-i386],
-               gij [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
                libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
@@ -23,10 +22,28 @@
                tcl8.4-dev,
                tk8.4-dev
 
+Package: swig
+Architecture: any
+Depends: swig2.0 (>= 2.0.0-1), ${misc:Depends}
+Suggests: swig-doc, swig-examples
+Conflicts: swig1.3
+Replaces: swig1.3
+Description: Generate scripting interfaces to C/C++ code
+ SWIG is a compiler that makes it easy to integrate C and C++ code
+ with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ .
+ Swig takes a set of ANSI C/C++ declarations and generates an
+ interface for them to your favorite scripting language.
+ .
+ This is a dependency package providing the stable version of SWIG.
+
 Package: swig2.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: swig2.0-examples, swig2.0-doc
+Breaks: swig (<< 2.0.4-3.1)
+Replaces: swig (<< 2.0.4-3.1)
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
  with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
@@ -35,6 +52,15 @@
  Swig takes a set of ANSI C/C++ declarations and generates an 
  interface for them to your favorite scripting language.
 
+Package: swig-examples
+Architecture: all
+Depends: swig2.0-examples (>= 2.0.0-1), ${misc:Depends}
+Conflicts: swig1.3-examples
+Replaces: swig1.3-examples
+Description: Examples for applications of SWIG
+ This is a dependency package providing the examples of the default
+ version of SWIG in Debian.
+
 Package: swig2.0-examples
 Architecture: all
 Depends: swig2.0, ${misc:Depends}
@@ -42,11 +68,20 @@
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
 
+Package: swig-doc
+Architecture: all
+Depends: swig2.0-doc (>= 2.0.0-1), ${misc:Depends}
+Section: doc
+Conflicts: swig1.3-doc
+Replaces: swig1.3-doc
+Description: HTML documentation for SWIG
+ This is a dependency package providing the documentation of the default
+ version of SWIG in Debian.
+
 Package: swig2.0-doc
 Architecture: all
 Section: doc
-Suggests: swig2.0
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG
- This is just a convenience package to make smooth upgrades possible.
- The real stuff is in the swig-doc package.
+ Contains the users' and developers' manuals for SWIG (Simplified 
+ Wrapper Interface Generator) 2.0 in HTML format.
