=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 # Support building from Subversion repository
 export DH_ALWAYS_EXCLUDE=.svn
-
-include /usr/share/quilt/quilt.make
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
@@ -78,7 +76,7 @@
 	$(MAKE) $(MAKEOPTS)
 	touch build-stamp
 
-clean: patch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f configure-stamp build-stamp install-stamp
@@ -89,9 +87,8 @@
 	rm -f Source/Include/swigconfig.h Source/Include/stamp-h1
 	rm -f `find -name Makefile.in|sed 's,\.in$$,,'`
 	rm -Rf Source/.deps
-	rm -Rf Lib/swigwarn.swg swig.spec
+	rm -Rf swig.spec
 	dh_clean
-	debian/rules unpatch
 
 install: install-stamp
 install-stamp: build-stamp
@@ -137,7 +134,7 @@
 #	dh_installemacsen -a $(NO_PACKAGES_ARGS)
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
-	dh_installman -a debian/swig2.0.1
+	dh_installman -p swig2.0 debian/swig2.0.1
 #	dh_undocumented
 	dh_installchangelogs -a -Nswig2.0 $(NO_PACKAGES_ARGS) CHANGES
 	dh_installchangelogs -pswig2.0 $(NO_PACKAGES_ARGS)
