## swig2.0 2.0.4+really2.0.4

=== debian/changelog ===
swig2.0 (2.0.4+really2.0.4-4ubuntu2) precise; urgency=low

  * Drop libchicken-dev from the build-depends (in universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Oct 2011 11:54:21 +0200

swig2.0 (2.0.4+really2.0.4-4ubuntu1) precise; urgency=low

  * Override the Ubuntu swig1.3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 15:05:23 +0200
