=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                dh-autoreconf,
                gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
-               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                php5-cgi,
