## swig2.0 2.0.7

=== debian/changelog ===
swig2.0 (2.0.7-3) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5 in debian/rules
    (closes: #675908).
  * Use default-jdk instead of gcj-jdk (closes: #675911). 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Jun 2012 22:55:25 +0200

swig2.0 (2.0.7-2) unstable; urgency=high

  * Switch to out-of-source build. 
  * Applied patch by Klaus Kämpf (applied upstream) to fix seg fault when
    attempting to warn about an illegal destructor (closes: #675196).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 30 May 2012 22:20:51 +0200

swig2.0 (2.0.7-1) unstable; urgency=high

  * New upstream release 2.0.7 (closes: #674263).
  * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
    (closes: #674540). 
  * debian/rules: Add binary-indep and binary-arch targets (lintian).
  * debian/control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
    upstream r13106 when building for Python 3 (caught by FTBFS for hugin).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 28 May 2012 17:58:26 +0200

swig2.0 (2.0.6-1) unstable; urgency=low

  * Merge upstream changes for 2.0.6.
    + Includes patches to slicing bugs (closes: #673544).
  * debian/control: Narrow the dependency of swig on swig2.0 to require
    the newest version as suggested by Andreas Metzler.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 May 2012 00:23:15 +0200

swig2.0 (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5.
    + Removed patch python_map.patch (applied upstream).
    + Removed patch fix_overflow_errors_64bitint (fixed upstream).
    + Removed patches pulled from upstream.
    + Adds support for Lua 5.2 (closes: #670203).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Apr 2012 22:18:39 +0200
