=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
 Homepage: http://www.swig.org/
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
-               gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
+               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                php5-cgi,
@@ -18,12 +19,12 @@
                python-dev,
                ruby1.8,
                ruby1.8-dev,
-               tcl8.4-dev,
-               tk8.4-dev
+               tcl-dev,
+               tk-dev
 
 Package: swig
 Architecture: any
-Depends: swig2.0 (>= 2.0.0-1), ${misc:Depends}
+Depends: swig2.0 (>= ${source:Version}), ${misc:Depends}
 Suggests: swig-doc, swig-examples
 Conflicts: swig1.3
 Replaces: swig1.3
