=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,8 @@
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-tclconfig=/usr/lib/tcl8.4		\
-	--with-tclincl=/usr/include/tcl8.4		\
-	--with-python=/usr/bin/python2.5		\
+	--with-tclconfig=/usr/lib			\
+	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby1.8			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
@@ -65,29 +64,28 @@
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
+	mkdir -p builddir
 	PHP4INC="`php-config --includes`" \
 	CFLAGS="-g -O2 `perl -e 'use Config; print $$Config{ccflags};'`" \
-	./configure $(CONFIGURE_ARGS)
+	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp
 
-build: build-stamp
+build: build-indep build-arch
+
+build-indep:	build-stamp
+build-arch:	build-stamp
+
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) $(MAKEOPTS)
+	cd builddir && $(MAKE) $(MAKEOPTS)
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f configure-stamp build-stamp install-stamp
-	if [ -f Makefile ]; then $(MAKE) $(MAKEOPTS) distclean; fi
+	rm -rf builddir
 	dh_autoreconf_clean
-	rm -f config.log config.status
-	rm -f preinst-swig
-	rm -f Source/Include/swigconfig.h Source/Include/stamp-h1
-	rm -f `find -name Makefile.in|sed 's,\.in$$,,'`
-	rm -Rf Source/.deps
-	rm -Rf swig.spec
 	dh_clean
 
 install: install-stamp
@@ -97,7 +95,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) $(MAKEOPTS) DESTDIR=`pwd`/debian/swig2.0 install
+	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig2.0 install
 
 	touch install-stamp
