## swig2.0 2.0.8

=== debian/changelog ===
swig2.0 (2.0.8-1ubuntu3) raring; urgency=low

  * Configure for the Tk 8.5 multiarch installation.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 10:37:53 +0200

swig2.0 (2.0.8-1ubuntu2) raring; urgency=low

  * Build using guile-2.0.
  * Configure --with-guileincl=/usr/include/guile/2.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 08:36:39 +0100

swig2.0 (2.0.8-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 07 Nov 2012 19:50:23 +0200

swig2.0 (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 31 Oct 2012 12:05:24 +0100

swig2.0 (2.0.7-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1019659). Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Jun 2012 22:49:48 +0200

swig2.0 (2.0.7-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006387). Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 01 Jun 2012 17:05:17 +0100
