=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swig2.0
 Section: interpreters
 Priority: optional
-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
@@ -10,8 +11,7 @@
                debhelper (>= 7.0),
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
-               guile-1.8-dev,
-               libchicken-dev [!m68k !mips !mipsel],
+               guile-2.0-dev,
                libperl-dev,
                libpcre3-dev,
                php5-cgi,
