=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,20 @@
 # Support building from Subversion repository
 export DH_ALWAYS_EXCLUDE=.svn
 
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-tclconfig=/usr/lib			\
+	--with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)	\
 	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby1.8			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
 	--with-swiglibdir=/usr/share/swig2.0		\
+	--with-guileincl=/usr/include/guile/2.0		\
 	--without-mzscheme				\
         --program-suffix=2.0
