## swig2.0 2.0.10

=== debian/changelog ===
swig2.0 (2.0.10-0ubuntu2) saucy; urgency=low

  * Build-depend on python3-dev.
  * Drop build dependency on liboctave-dev, configure --without-octave.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2013 18:58:53 +0200

swig2.0 (2.0.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Build using ruby1.9.1.
  * Build-depend on liboctave-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2013 18:32:40 +0200

swig2.0 (2.0.9-1ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Configure for the Tk 8.5 multiarch installation.
    - Build using guile-2.0.
    - Configure --with-guileincl=/usr/include/guile/2.0.
    - Drop libchicken-dev from the build-depends (in universe).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Jun 2013 10:03:01 +0100

swig2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags while building (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Feb 2013 00:37:38 +0100
