=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 export DH_ALWAYS_EXCLUDE=.svn
 
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
@@ -18,8 +20,9 @@
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
 	--with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)	\
+	--without-octave				\
 	--with-python=/usr/bin/python			\
-	--with-ruby=/usr/bin/ruby1.8			\
+	--with-ruby=/usr/bin/ruby1.9.1			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
 	--with-swiglibdir=/usr/share/swig2.0		\
@@ -69,7 +72,6 @@
 	dh_autoreconf ./autogen.sh
 	mkdir -p builddir
 	PHP4INC="`php-config --includes`" \
-	CFLAGS="-g -O2 `perl -e 'use Config; print $$Config{ccflags};'`" \
 	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp
