## swig2.0 2.0.11

=== debian/changelog ===
swig2.0 (2.0.11-1ubuntu2) trusty; urgency=medium

  * Apply patch to support octave-3.8. Closes: #736392.

 -- Matthias Klose <doko@foobar>  Tue, 25 Feb 2014 01:59:29 +0100

swig2.0 (2.0.11-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Configure for the Tk 8.5 multiarch installation.
    - Build using guile-2.0.
    - Configure --with-guileincl=/usr/include/guile/2.0.
    - Drop libchicken-dev from the build-depends (in universe).
    - Build-depend on python3-dev.
    - Drop build dependency on liboctave-dev, configure --without-octave.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 14:45:50 +0100

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).
  * Use Ruby 1.9.1 instead of 1.8 which is about to be removed from sid.
    Thanks to Cédric Boutillier for the patch (closes: #722282).
  * Install swigp4.ml manually as the upstream Makefile fails to do so
    when using a separate build directory (closes: #725945).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 25 Oct 2013 23:36:37 +0200

swig2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 09 Sep 2013 22:06:54 +0200
