=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
 Homepage: http://www.swig.org/
-Build-Depends: bison,
+Build-Depends: dpkg-dev (>= 1.16.1~),
+               bison,
                debhelper (>= 7.0),
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
@@ -17,8 +18,9 @@
                php5-cgi,
                php5-dev,
                python-dev,
-               ruby1.8,
-               ruby1.8-dev,
+               python3-dev,
+               ruby1.9.1,
+               ruby1.9.1-dev,
                tcl-dev,
                tk-dev
