=== debian/rules ===
--- 
+++ 
@@ -138,6 +138,7 @@
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
 	dh_installman -p swig2.0 debian/swig2.0.1
+	dh_install -a --sourcedir=$(CURDIR)
 #	dh_undocumented
 	dh_installchangelogs -a -Nswig2.0 $(NO_PACKAGES_ARGS) CHANGES
 	dh_installchangelogs -pswig2.0 $(NO_PACKAGES_ARGS)
